### Method

# EDataServer SourceWebdav dup_uri

since: 3.46

#### Declaration [src]

    GUri*
    e_source_webdav_dup_uri (
      ESourceWebdav* extension
    )

#### Description [src]

This is a convenience function which returns a newly-allocated `GUri`, its contents assembled from the `ESourceAuthentication` extension, the `ESourceSecurity` extension, and `extension` itself. Free the returned `GUri` with g_uri_unref().

Available since: 3.46

#### Return value

Type: `GUri`

A newly-allocated `GUri`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.